[ОТВЕТИТЬ]
11.02.2015 10:10
Micle
 
Цитата:
OlegON убогая система!!! Когда же она подохнет...
Сейчас бьюсь в попытках запустить связку вебсайт-(Opera/FF/Chrom) -жаба-VipNetCSP на win2008.... Java ничего не выходит, причём я даже не понимаю в чём именно затык. Подобная связка на 2003 работала. Вероятно надо смотреть версии, но где брать старые... Где то пробегала по форуму ссылка на старую жабу, немогу нати :(

Когда же она подохнет... жаба эта ???? )))
11.02.2015 10:37
OlegON
 
какая именно жаба нужна? в хранилище есть 6я Хранилище
со старой жабой на винде была проблема с PATH, т.е. она тупо не прописывалась туда.
11.02.2015 11:01
Micle
 
Цитата:
OlegON какая именно жаба нужна? в хранилище есть 6я Хранилище
со старой жабой на винде была проблема с PATH, т.е. она тупо не прописывалась туда.
на w2003 установлена 7u71 (с ней работает связка) при попытке обновления пишет, что новая не поддерживает w2003 и не обновляет.

на w2008 установлена 8u31 при открытии страницы в браузере (FF/Opera), она походу даже не запускается. Нет обращения за апплетом на сайт в логах прокси. Если открывать сайт через IE8 на w2008 то получаю запрос браузера на установку жабы 6 версии, разрешаю, он её ставит, она запускается, но функционал апплета не работает... Так-же ковырял настройки безопасности и жабе и в браузере не помогает ничего.
11.02.2015 11:17
OlegON
 
Цитата:
Micle на w2003 установлена 7u71 (с ней работает связка) при попытке обновления пишет, что новая не поддерживает w2003 и не обновляет.
Не понял, на 7u71 работает? Тогда зачем обновлять? У меня она, кстати, обновляется, хотя, да, ругается, что если хотите, чтобы все работало, как надо, надо обновить винду. В хранилище 7ка тоже какая-то была.
А на 2008 я бы попробовал нового юзера (с чистым профилем), поставить ему хром или фокс portable, в зависимости от того, что рекомендуется для этого сайта. Возможно, что отключить UAC и дать админа придется.
11.02.2015 12:18
Micle
 
я переезжаю с 2003 на 2008. 7u71 обновлять не стремлюсь, просто она фактически не обновляется. Полагаю, это существенно, т.к. на 8 версии апплет не стартует вовсе. Установил на w2008 Java7, апплет стал запускаться, но не отображает список сертификатов для подписи из VipNet. Думаю, что дальше нужно копать в сторону прав пользователя... пока не уверен.
11.02.2015 12:44
sh00r00p
 
На 8 версии нужно в секурных свойствах прописать вручную адрес в исключениях. Проблема в том, что с 8 версии в яве отсутствует даже средний уровень безопасности. Только высокий и очень высокий, которые не пропускают кривоподписанные апплеты. Попробуй, вдруг поможет.
11.02.2015 13:42
Micle
 
8 версию удалось запустить. Подписи по прежнему не попадают в список выбора на вебстраницу. Начал пытать техподдержку сайта с которым произведена интеграция. Вразумительного пока мало. Основной криптопровайдер который они используют КриптоПро. Тем не менее пока окончательного вердикта по VipNetCSP нету (на w2003 он работал без вопросов).

С моей стороны: я не могу одним движением перейти на другого крипто-провайдера, т.к. совместно они не живут на одной системе и сертификаты у них не совместимы между собой. Помимо этого, сертификатов пачка (8 штук), обновляемая в разное время в течении года.
11.02.2015 13:49
sh00r00p
 
Библиотеки CAPICOM, CADESCOM и прочее для интеграции криптосистемы в ОС прописал/установил?
11.02.2015 13:55
Mtirt
 
И при этом используют КриптоПро-браузер-плагин?
На FSRAR была похожая ошибка...
Надо установить старую версию этого плагина (до лета 2014 примерно).
11.02.2015 14:10
Micle
 
Никаких доп плагинов ставить не требовали. что я вижу на w2003:

При обращении к страницу требующей списка подписей, появляются запрос на запуск java апплета, и если разрешить, список доступных подписей.

Как реализован обмен данными между ViNet <-> *.jar <-> *.js мне пока не понятно.
11.02.2015 14:18
Mtirt
 
А если попробовать IE 11? И там дать разрешение апплету на доступ к сертификатам?
11.02.2015 15:14
Micle
 
Обновляться до IE11 особого желания нет, т.к. он не использовался ранее и ещё неизвестно какие дополнительные проблемы принесёт своим присутствием в системе. Учитывая, рекомендацию разработчика сайта к использованию Chrome, обновлять IE точно не буду. Сертификаты привязанные к ЭЦП в систему установлены, доступ у браузера к ним есть.

Ещё варианты?
11.02.2015 16:01
Micle
 
Цитата:
baggio chrom + IE tab?
пуcтой Chrom

небольшое дополнение. Включил java console + логирование. изучил лог загрузки страницы использующей java. Разность в том, что в работающем варианте лог заканчивается _первой_ строчкой из приведённого ниже. В неработающей конфигурации присутствует весь остальной "мусор".

Код:
network: Server https://edipro.edi.su/#/inbox?intStatusID=1 requesting to set-cookie with "chromephp_log=deleted; expires=Thu, 01-Jan-1970 00:00:01 GMT"
security: Grant liveconnect connect perm for https://edipro.edi.su/#/inbox?intStatusID=1 : java.security.Permissions@1842589 (
 ("java.util.PropertyPermission" "java.specification.version" "read")
 ("java.util.PropertyPermission" "path.separator" "read")
 ("java.util.PropertyPermission" "java.vm.vendor" "read")
 ("java.util.PropertyPermission" "os.version" "read")
 ("java.util.PropertyPermission" "browser.version" "read")
 ("java.util.PropertyPermission" "java.vendor.url" "read")
 ("java.util.PropertyPermission" "browser" "read")
 ("java.util.PropertyPermission" "browser.vendor" "read")
 ("java.util.PropertyPermission" "os.name" "read")
 ("java.util.PropertyPermission" "java.vm.specification.version" "read")
 ("java.util.PropertyPermission" "java.vm.name" "read")
 ("java.util.PropertyPermission" "javaws.*" "read,write")
 ("java.util.PropertyPermission" "javaplugin.vm.options" "read")
 ("java.util.PropertyPermission" "mrj.version" "read")
 ("java.util.PropertyPermission" "java.version" "read")
 ("java.util.PropertyPermission" "jnlp.*" "read,write")
 ("java.util.PropertyPermission" "javaplugin.version" "read")
 ("java.util.PropertyPermission" "os.arch" "read")
 ("java.util.PropertyPermission" "java.specification.vendor" "read")
 ("java.util.PropertyPermission" "java.vm.specification.name" "read")
 ("java.util.PropertyPermission" "file.separator" "read")
 ("java.util.PropertyPermission" "line.separator" "read")
 ("java.util.PropertyPermission" "java.vendor" "read")
 ("java.util.PropertyPermission" "java.specification.name" "read")
 ("java.util.PropertyPermission" "java.vm.specification.vendor" "read")
 ("java.util.PropertyPermission" "java.vm.version" "read")
 ("java.util.PropertyPermission" "javapi.*" "read,write")
 ("java.util.PropertyPermission" "java.class.version" "read")
 ("java.util.PropertyPermission" "http.agent" "read")
 ("java.net.URLPermission" "https://edipro.edi.su:443/-" "*:*")
 ("java.net.URLPermission" "https://edipro.edi.su:443" "*:*")
 ("java.net.SocketPermission" "localhost:0" "listen,resolve")
 ("com.sun.deploy.security.SecureCookiePermission" "origin.https://edipro.edi.su:443")
 ("java.lang.RuntimePermission" "accessClassInPackage.sun.audio")
 ("java.lang.RuntimePermission" "stopThread")
)
11.02.2015 16:05
baggio
 
ты можешь дать адрес страницы попробовать?
или энто военная тайна...?
11.02.2015 16:09
Micle
 
Цитата:
baggio ты можешь дать адрес страницы попробовать?
или энто военная тайна...?
немогу. там авторизация нужна. Без авторизации ошибку не воспроизвести. Техподдержка сайта уже дошла до багтрекера программистов... чуствую быстро эта проблема не решится. :(
Опции темы


Часовой пояс GMT +3, время: 08:38.

 

Форум сделан на основе vBulletin®
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.